# MySQL dump 8.2
#
# Host: localhost    Database: forum
#--------------------------------------------------------
# Server version	3.21.29a-gamma-debug
#--------------------------------------------------------
# Application PHP-Forum
# Author:  Linda Pedersen aka kill-9
# Date:    7-29-2000
# Version: Database version for php-forum 1.0
# Notes:
#          Please email kill-9@kill-9.dk with any problems

#
# Table structure for table 'forum_data'
#

CREATE TABLE forum_data (
  fd_id int(255) DEFAULT '0' NOT NULL auto_increment,
  ftp_id int(255) DEFAULT '0' NOT NULL,
  name varchar(255) DEFAULT 'unknown' NOT NULL,
  msg text DEFAULT '' NOT NULL,
  email varchar(255) DEFAULT 'unknown' NOT NULL,
  fd_date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
  author enum('Y','N') DEFAULT 'N' NOT NULL,
  PRIMARY KEY (fd_id)
);

#
# Table structure for table 'forum_topic'
#

CREATE TABLE forum_topic (
  ftp_id int(255) DEFAULT '0' NOT NULL auto_increment,
  ft_id int(255) DEFAULT '0' NOT NULL,
  topic varchar(255) DEFAULT 'NONE' NOT NULL,
  PRIMARY KEY (ftp_id)
);

#
# Table structure for table 'forum_type'
#

CREATE TABLE forum_type (
  ft_id int(255) DEFAULT '0' NOT NULL auto_increment,
  ft_name varchar(255) DEFAULT 'Unknown' NOT NULL,
  ft_desc varchar(255) DEFAULT 'No Description given' NOT NULL,
  PRIMARY KEY (ft_id)
);

#
# Creating indexes on tables
#
create index topic_ft on forum_topic (ft_id);

create index data_ftp on forum_data (ftp_id);

#
# PHP-forum database created
#
